Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 3.4.6
    • Fix Version/s: None
    • Component/s: documentation
    • Labels:
      None
    • Environment:

      FreeBSD

      Description

      Documentation contains the following warning about FreeBSD:
      http://zookeeper.apache.org/doc/r3.4.6/zookeeperAdmin.html#sc_systemReq
      -------
      FreeBSD is supported as a development and production platform for clients only. Java NIO selector support in the FreeBSD JVM is broken.
      -------

      I believe it is outdated info from pre-OpenJDK time. With recent OpenJDK-7
      I am running Zookeeper in production without any problems and I asked other people who run it on FreeBSD, they also experience no trouble.

      I propose to remove this information and list FreeBSD as supported platform unless you know something bad in particular.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                trtrmitya Dmitry Sivachenko
              • Votes:
                1 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: